## Error codes Error codes — Error domains and codes. |

## Functions

#define | GUPNP_PROTOCOL_ERROR

## Types and Values

#define | GUPNP_SEARCH_CRITERIA_PARSER_ERROR
enum | GUPnPProtocolError
enum | GUPnPSearchCriteriaParserError

## Description

## Functions

### GUPNP_PROTOCOL_ERROR

    #define GUPNP_PROTOCOL_ERROR (gupnp_protocol_error_quark ())

The GQuark uniquely used by GUPnP AV protocol related errors.

#### Returns

a GQuark uniquely used by GUPnP AV protocol related errors.

## Types and Values

### GUPNP_SEARCH_CRITERIA_PARSER_ERROR

    #define             GUPNP_SEARCH_CRITERIA_PARSER_ERROR

### enum GUPnPProtocolError

GError codes used for errors in the GUPNP_PROTOCOL_ERROR domain, upon any protocol related errors.

#### Members

GUPNP_PROTOCOL_ERROR_INVALID_SYNTAX | Invalid syntax. |
GUPNP_PROTOCOL_ERROR_OTHER | Unknown/unhandled protocol related errors. |

### enum GUPnPSearchCriteriaParserError

#### Members

GUPNP_SEARCH_CRITERIA_PARSER_ERROR_FAILED | Parsing the search criteria failed. |